Recent

Author Topic: Terminal shows warnings in Wayland session  (Read 349 times)

AlexTP

  • Hero Member
  • *****
  • Posts: 2347
    • UVviewsoft
Terminal shows warnings in Wayland session
« on: December 11, 2023, 02:46:03 pm »
While editing text in CudaText.
On Ubuntu 23.10 Wayland session.
With libQt5Pas 1.2.15 from David Bannon's page.
Lazarus is from Git main, update 1-2 weeks ago.

Code: [Select]
QSocketNotifier: Can only be used with threads started with QThread
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
This plugin supports grabbing the mouse only for popup windows
This plugin supports grabbing the mouse only for popup windows

Full log has more warnings
https://pastebin.com/AhnxSuhy
« Last Edit: December 11, 2023, 02:50:59 pm by AlexTP »

zeljko

  • Hero Member
  • *****
  • Posts: 1582
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: Terminal shows warnings in Wayland session
« Reply #1 on: December 11, 2023, 05:12:52 pm »
Even standard Qt5 applications produce same errors when you call QWidget_activate() on top level widget etc.
AFAIR, qt6 does not produce such warnings because more wayland stuff is implemented into qt6.

 

TinyPortal © 2005-2018